%global __strip %{mingw_strip}
%global __objdump %{mingw_objdump}
%global _use_internal_dependency_generator 0
%global __find_requires %{mingw_findrequires}
%global __find_provides %{mingw_findprovides}
%define __debug_install_post %{mingw_debug_install_post}

%global mingw_pkg_name python
%global mingw_build_win32 1
#%global mingw_build_win64

# Some of the files below /usr/lib/pythonMAJOR.MINOR/test  (e.g. bad_coding.py)
# are deliberately invalid, leading to SyntaxError exceptions if they get
# byte-compiled.
#
# These errors are ignored by the normal python build, and aren't normally a
# problem in the buildroots since /usr/bin/python isn't present.
# 
# However, for the case where we're rebuilding the python srpm on a machine
# that does have python installed we need to set this to avoid
# brp-python-bytecompile treating these as fatal errors:
#
%global _python_bytecompile_errors_terminate_build 0

Name:           mingw-python
Version:        2.7.1
Release:        1
Summary:        Cross compiled Python programming environment

License:        X11/MIT
Url:            http://www.python.org
Group:          Development/Libraries
Source0:        Python-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Patch0:         mingw.patch

BuildArch:      noarch

BuildRequires:  mingw-filesystem >= 65
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-binutils
BuildRequires:  mingw32-pdcurses
BuildRequires:  mingw32-pthreads
BuildRequires:  mingw32-readline
BuildRequires:  mingw32-termcap
BuildRequires:  mingw32-zlib
BuildRequires:  mingw64-gcc
BuildRequires:  mingw64-binutils
BuildRequires:  mingw64-pdcurses
BuildRequires:  mingw64-pthreads
BuildRequires:  mingw64-readline
BuildRequires:  mingw64-termcap
BuildRequires:  mingw64-zlib
BuildRequires:  python-devel
BuildRequires:  autoconf automake libtool pkgconfig

%{?mingw_default_requires}
%{?mingw_debug_package}

%description
Python is an interpreted, object-oriented programming language, and is
often compared to Tcl, Perl, Scheme, or Java.  You can find an overview
of Python in the documentation and tutorials included in the python-doc
(HTML) or python-doc-pdf (PDF) packages.

# Mingw32
%package -n mingw32-%{mingw_pkg_name}
Summary:        %{summary}
Group:          Development/Libraries

%description -n mingw32-%{mingw_pkg_name}
The Python programming language's interpreter can be extended with
dynamically loaded extensions and can be embedded in other programs.

Cross compiled Python programming environment

# Mingw64
%package -n mingw64-%{mingw_pkg_name}
Summary:        %{summary}
Group:          Development/Libraries

%description -n mingw64-%{mingw_pkg_name}
The Python programming language's interpreter can be extended with
dynamically loaded extensions and can be embedded in other programs.

Cross compiled Python programming environment

%prep
%setup -q -n Python-%{version}

%patch0 -p1


%build
%mingw_configure "--with-threads"
%mingw_make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
%mingw_make_install DESTDIR=$RPM_BUILD_ROOT
rm  $RPM_BUILD_ROOT/%{mingw32_libdir}/python2.7/distutils/command/wininst-7.1.exe
rm  $RPM_BUILD_ROOT/%{mingw32_libdir}/python2.7/distutils/command/wininst-8.0.exe

%clean
rm -rf $RPM_BUILD_ROOT


# Mingw32
%files -n mingw32-%{mingw_pkg_name}
%defattr(-,root,root)
%{mingw32_bindir}/2to3
%{mingw32_bindir}/idle
%{mingw32_bindir}/libpython2.7.dll
%{mingw32_bindir}/pydoc
%{mingw32_bindir}/python.exe
%{mingw32_bindir}/python2.7.exe
%{mingw32_bindir}/smtpd.py
%{mingw32_libdir}/libpython2.7.dll.a
%{mingw32_libdir}/python2.7
%{mingw32_mandir}/man1/python*1
%{mingw32_libdir}/python2.7/config/Makefile
%{mingw32_libdir}/python2.7/config/Setup
#devel
%{mingw32_bindir}/python-config
%{mingw32_bindir}/python2.7-config
%{mingw32_includedir}/python2.7
%{mingw32_libdir}/python2.7/config
%{mingw32_libdir}/python2.7/test
%{mingw32_libdir}/pkgconfig/python*.pc


%changelog
* Tue May 31 2011 Marc-André Lureau <marcandre.lureau@redhat.com> - 2.7.1-1
- Based on patches in git://gitorious.org/mingw-python/mingw-python.git
- As well as patches from Python bug #1
